﻿/*
 * Készítette a SharpDevelop.
 * Felhasználó: phil
 * Dátum: 2011.03.21.
 * Idő: 9:03
 * 
 * A sablon megváltoztatásához használja az Eszközök | Beállítások | Kódolás | Szabvány Fejlécek Szerkesztését.
 */
using System;

namespace Noise.DataAcquisition
{
	/// <summary>
	/// Description of Edaq530Type.
	/// </summary>
	public class Edaq530Type
	{
		protected double minVoltage = 0.0;
		protected double maxVoltage;
		protected bool hasPhotosensor;
		protected bool hasResistanceOutput;
		protected bool hasDifferentialMode;
		protected bool hasWheatstoneMode;
		protected int id;
		
		protected Edaq530Type(int id, double minVoltage, double maxVoltage, bool hasPhotosensor, bool hasResistanceOutput, bool hasDifferentialMode, bool hasWheatstoneMode)
		{
			this.id = id;
			this.minVoltage = minVoltage;
			this.maxVoltage = maxVoltage;
			this.hasPhotosensor = hasPhotosensor;
			this.hasResistanceOutput = hasResistanceOutput;
			this.hasDifferentialMode = hasDifferentialMode;
			this.hasWheatstoneMode = hasWheatstoneMode;
		}
		
		public int Id {
			get { return id; }
		}
		
		public double MinVoltage {
			get { return minVoltage; }
		}
		
		public double MaxVoltage {
			get { return maxVoltage; }
		}
		
		public bool HasPhotosensor {
			get { return hasPhotosensor; }
		}
		
		public bool HasResistanceOutput {
			get { return hasResistanceOutput; }
		}
		
		public bool HasDifferentialMode {
			get { return hasDifferentialMode; }
		}
		
		public bool HasWheatstoneMode {
			get { return hasWheatstoneMode; }
		}
		
		
		public static Edaq530Type A {
			get { return new Edaq530Type(0, 0.0, 5.0, false, false, false, false); }
		}
		
		public static Edaq530Type B {
			get { return new Edaq530Type(1, 0.0, 3.3, false, false, false, false); }
		}
		
		public static Edaq530Type C {
			get { return new Edaq530Type(2, 0.0, 3.3, true, true, true, true); }
		}
	}
}
